/*!
 *************************************************************************************
 * \file header.h
 *
 * \brief
 *    Prototypes for header.c
 *************************************************************************************
 */

#ifndef _HEADER_H_
#define _HEADER_H_

extern int FirstPartOfSliceHeader(Slice *currSlice);
extern int RestOfSliceHeader     (Slice *currSlice);

extern void dec_ref_pic_marking(VideoParameters *p_Vid, Bitstream *currStream, Slice *pSlice);

extern void decode_poc(VideoParameters *p_Vid, Slice *pSlice);
extern int  dumppoc   (VideoParameters *p_Vid);

#if SLICE_HEADER_PREDICTION

#if !FLEXIBLE_PRED_M24946_M24981
extern void CopySliceInfoFromDualPic_FirstPart(Slice *pSlice);
extern void CopySliceInfoFromDualPic_RestPart(Slice *pSlice);
#else
extern void CopySliceHeader  (Slice *pSlice, int src);
extern void CopySliceRefList (Slice *pSlice, int src);
extern void CopySlicePredWeightTable (Slice *pSlice, int src);
extern void CopySliceDecRefPicMarking(Slice *pSlice, int src);
#endif

#endif

#endif

